---
title: Feathers Cookbook  
author: Josh Tynjala

---
# Feathers Cookbook

Simple and targeted tutorials about [Feathers](../index.html) designed to demonstrate how to use or extend the components to implement specific common behaviors.

## `ButtonGroup`

-   [How to set additional properties on the buttons in a `ButtonGroup`](button-group-add-new-button-properties.html)

## `Callout`

-   [How to close a `Callout` without disposing it (or without disposing its content)](callout-restrict-disposal.html)

-   [How to stop a `Callout` from closing automatically after touch or keyboard input](callout-stop-closing-automatically.html)

## Custom Item Renderers

-   [How to add a background skin to a custom item renderer based on `FeathersControl` and `IListItemRenderer`](item-renderer-background-skin.html)

-   [How to support multiple touch states in a custom item renderer](item-renderer-touch-states.html)

-   [How to select (or deselect) a custom item renderer on tap or click ](item-renderer-select-on-tap.html)

-   [How to prevent a List from scrolling when a child of a custom item renderer is touched](item-renderer-stop-scrolling.html)

-   [How to dispatch a triggered event from a custom item renderer](item-renderer-triggered-on-tap.html)

-   [How to dispatch a long press event from a custom item renderer](item-renderer-long-press.html)

## Header

-   [How to show or hide a header when scrolling a list or container](header-show-hide-on-scroll.html)

## Miscellaneous

-   [How to display a context menu with Feathers](context-menu.html)

## Screen Navigator

-   [How to save the state of a screen in a `ScreenNavigator` and restore it later](screen-navigator-saving-state.html)

## `TabBar`

-   [How to set additional properties on the tabs in a `TabBar`](tab-bar-add-new-tab-properties.html)


